API ReferenceapicommunityGET /v1/feed/channels

GET /v1/feed/channels

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Channels (default + pinned)

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string"
          },
          "kind": {
            "type": "string",
            "enum": [
              "default",
              "hashtag",
              "community"
            ]
          },
          "label": {
            "type": "string"
          },
          "position": {
            "type": "integer"
          },
          "is_default": {
            "type": "boolean"
          },
          "pinned_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "key",
          "kind",
          "label",
          "position",
          "is_default",
          "pinned_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/feed/channels \
  -H "Authorization: Bearer $ACCESS_TOKEN"